/*Printing bengali language on a 16x2 character LCD
  by-Rahul Kar*/

#include <LiquidCrystal.h>// we need this library for the LCD commands
#include <Bengali.h>//library used for displaying the bengali fonts in LCD

/* The circuit:
 * LCD RS pin to digital pin 12
 * LCD Enable pin to digital pin 11
 * LCD D4 pin to digital pin 5
 * LCD D5 pin to digital pin 4
 * LCD D6 pin to digital pin 3
 * LCD D7 pin to digital pin 2
 * LCD R/W pin to ground*/
 
LiquidCrystal lcd(12,11,5,4,3,2);// define our LCD and which pins to use.Also the LCD object created is used for further processing the Bengali library.

void setup()
{
  lcd.begin(16,2);// need to specify how many columns and rows are in the LCD unit
  lcd.clear();// this clears the LCD. You can use this at any time
}

void loop()
{
   Bengali_PrintAllChar(lcd,0);//print all the bengali char set
   Bengali_PrintAllChar(lcd,1);//print all the bengali char set
}
